%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define bzrrev 49

Name:           trac-bazaar-plugin
Version:        0.2
Release:        10.20080925bzr%{bzrrev}%{?dist}
Summary:        Bazaar plugin for Trac

Group:          Applications/Internet
License:        GPLv2+
URL:            http://bazaar-vcs.org/TracBzr
# Source comes from a bazaar repository:
#   bzr checkout --lightweight -r 49 lp:trac-bzr
#   cd trac-bzr
#   python setup.py sdist --formats gztar
# tarball lands in trac-bzr/dist/
Source0:        TracBzr-%{version}.tar.gz
# https://bugs.launchpad.net/trac-bzr/+bug/274609
# and
# https://bugs.launchpad.net/trac-bzr/+bug/267700
Patch0: trac-bzr-no-repo.patch
# https://bugs.launchpad.net/trac-bzr/+bug/263300
Patch1: trac-bzr-get-ancestry.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif
Requires:       bzr
Requires:       trac
Requires:       python-setuptools

%description
This plugin for Trac provides support for the Bazaar SCM.

%prep
%setup -n TracBzr-%{version} -q
%patch0 -p0 -b .norepo
%patch1 -p0 -b .ancestor

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-10.20080925bzr49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-9.20080925bzr49
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2-8.20080925bzr49
- Rebuild for Python 2.6

* Fri Sep 26 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2-7.20080925bzr49
- Patches to fix: lp:274609, lp:263300, lp:267700

* Thu Sep 25 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2-6.20080925bzr49
- New upstream snapshot that includes our patches, fixes for bzr-1.6+ and
  trac-0.11.

* Sat Sep 22 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.2-5.20070829bzr182
- Patches to fix RSS feed in timeline view.

* Wed Aug 29 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.2-4.20070829bzr182
- Update license tag to reflect GPLv2+.
- New update from upstream that clarifies license and makes setuptools build
  a correct tarball.

* Sun Aug 12 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.2-3.20070712bzr180
- Update license tag to reflect GPLv2 only.

* Thu Jul 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.2-2.20070717bzr180
- Fixes from review comments: RH BZ#248815
  + Make macros consistent.
  + Remove extraneous comment.

* Thu Jul 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.2-1.20070717bzr180
- Initial build.
